do 'account-admin-lib.pl';

sub feature_name
{
	return "Account Admin";
}

sub feature_label
{
	return "Enable Account Admin?";
}

sub feature_check
{
	return undef;
}

sub feature_losing
{
	return "Account Admin for this virtual server will be disabled";
}

sub feature_disname
{
	return "Account Admin will be temporarily de-activated";
}

sub feature_clash
{
	return undef;
}

sub feature_depends
{
	return undef;
}

sub feature_suitable
{
	my ($parent, $alias, $super) = @_;
	if ($parent && !$parent->{'web'}) {
	  return 0;
	  }
	else {
	  return 1;
	  }
}

sub feature_setup
{
	&$virtual_server::first_print("Setting up Account Admin..");
	&$virtual_server::second_print(".. done");
	return 1;
}

sub feature_delete
{
	&$virtual_server::first_print("Turning off up My plugin..");
	&$virtual_server::second_print(".. done");
}

sub feature_modify
{
}

sub feature_disable
{
}

sub feature_enable
{
}

sub feature_webmin
{
	local ($d, $all) = @_;
	my @fdoms = grep { $_->{$module_name} } @$all;
	if (@fdoms) {
	  return ( [ $module_name, { 'doms' => join(" ", @fdoms) } ] );
	}
	else {
	  return ( );
	}
}

sub feature_import
{
	return 1;
}

sub feature_hlink
{
	return "label";
}